clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::RenameInputs Struct Reference

`#include <Rename.h>`

Collaboration diagram for clang::clangd::RenameInputs:
[legend]

## Public Attributes
Position | Pos
llvm::StringRef | NewName
ParsedAST & | AST
llvm::StringRef | MainFilePath
const SymbolIndex * | Index = nullptr
bool | AllowCrossFile = false
DirtyBufferGetter | GetDirtyBuffer = nullptr

## Detailed Description

Definition at line 29 of file Rename.h.

## Member Data Documentation

## ◆ AllowCrossFile

bool clang::clangd::RenameInputs::AllowCrossFile = false

Definition at line 38 of file Rename.h.

## ◆ AST

ParsedAST& clang::clangd::RenameInputs::AST

Definition at line 33 of file Rename.h.

Referenced by clang::clangd::rename().

## ◆ GetDirtyBuffer

DirtyBufferGetter clang::clangd::RenameInputs::GetDirtyBuffer = nullptr

Definition at line 43 of file Rename.h.

## ◆ Index

const SymbolIndex* clang::clangd::RenameInputs::Index = nullptr

Definition at line 36 of file Rename.h.

## ◆ MainFilePath

llvm::StringRef clang::clangd::RenameInputs::MainFilePath

Definition at line 34 of file Rename.h.

## ◆ NewName

llvm::StringRef clang::clangd::RenameInputs::NewName

Definition at line 31 of file Rename.h.

## ◆ Pos

Position clang::clangd::RenameInputs::Pos

Definition at line 30 of file Rename.h.

The documentation for this struct was generated from the following file:

- Rename.h